Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_Exception Class Reference

ACEXML_Exception. More...

`#include <ACEXML/common/Exception.h>`

Inheritance diagram for ACEXML_Exception:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACEXML_Exception (void)
| Destructor.
virtual void | _raise (void)=0
| Throw the exception.
virtual const ACEXML_Char * | id (void) const
| Return the exception type. (for safe downcast.).
virtual ACEXML_Exception * | duplicate (void) const =0
| Dynamically create a copy of this exception.
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specified by <name>.
virtual void | print (void)=0
| Print out exception using ACE_DEBUG.
## Static Public Member Functions
ACEXML_Exception * | _downcast (ACEXML_Exception *ex)
| Static narrow operation.
## Protected Member Functions
| ACEXML_Exception (void)
| Default contructor.
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACE_TEXT ("ACEXML_Exception")
const ACEXML_Char * | null_ = ACE_TEXT ("")
| A null string that we return when there is no exception.

## Detailed Description

ACEXML_Exception.

ACEXML_Exception is the base class for all ACEXML related exceptions. Since ACEXML currently does not support native exceptions, all exceptions should be thrown thru ACEXML_Env.

See also:
  ACEXML_Env

## Constructor & Destructor Documentation

ACEXML_Exception::~ACEXML_Exception | ( | void |  | ) | `[virtual]`

| Destructor.

ACEXML_Exception::ACEXML_Exception | ( | void |  | ) | `[protected]`

| Default contructor.

## Member Function Documentation

ACEXML_INLINE ACEXML_Exception * ACEXML_Exception::_downcast | ( | ACEXML_Exception * | ex | ) | `[static]`

| Static narrow operation. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

virtual void ACEXML_Exception::_raise | ( | void |  | ) | `[pure virtual]`

| Throw the exception. Implemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

virtual ACEXML_Exception* ACEXML_Exception::duplicate | ( | void |  | ) | const`[pure virtual]`

| Dynamically create a copy of this exception. Implemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_INLINE const ACEXML_Char * ACEXML_Exception::id | ( | void |  | ) | const`[virtual]`

| Return the exception type. (for safe downcast.). Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

int ACEXML_Exception::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specified by <name>. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

void ACEXML_Exception::print | ( | void |  | ) | `[pure virtual]`

| Print out exception using ACE_DEBUG. Implemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

## Member Data Documentation

const ACEXML_Char * ACEXML_Exception::exception_name_ = ACE_TEXT ("ACEXML_Exception")`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented in ACEXML_SAXException, ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

const ACEXML_Char * ACEXML_Exception::null_ = ACE_TEXT ("")`[static, protected]`

| A null string that we return when there is no exception.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp
- Exception.i